sinh(3)

NAME
sinh, sinhf, sinhl - hyperbolic sine function

LIBRARY
Math library (libm, -lm)

SYNOPSIS
#include <math.h>

double sinh(double x);
float sinhf(float x);
long double sinhl(long double x);

    Feature Test Macro Requirements for glibc (see feature_test_macros(7)):

sinhf(), sinhl():
    _ISOC99_SOURCE || _POSIX_C_SOURCE >= 200112L
        || /* Since glibc 2.19: */ _DEFAULT_SOURCE
        || /* glibc <= 2.19: */ _BSD_SOURCE || _SVID_SOURCE

DESCRIPTION
These functions return the hyperbolic sine of x, which is defined mathematically as:

    sinh(x) = (exp(x) - exp(-x)) / 2

RETURN VALUE
On success, these functions return the hyperbolic sine of x.

If x is a NaN, a NaN is returned.

If x is +0 (-0), +0 (-0) is returned.

If x is positive infinity (negative infinity), positive infinity (negative infinity) is returned.

If the result overflows, a range error occurs, and the functions return HUGE_VAL, HUGE_VALF, or HUGE_VALL, respectively, with the same sign as x.

ERRORS
See math_error(7) for information on how to determine whether an error has occurred when calling these functions.

The following errors can occur:

Range error: result overflow
    errno is set to ERANGE. An overflow floating-point exception (FE_OVERFLOW) is raised.

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe

STANDARDS
C11, POSIX.1-2008.

HISTORY
C99, POSIX.1-2001.

The variant returning double also conforms to SVr4, 4.3BSD, C89.

SEE ALSO
acosh(3), asinh(3), atanh(3), cosh(3), csinh(3), tanh(3)